Loading...
Searching...
No Matches
etl::push_insert_iterator< TContainer > Class Template Reference

Turns assignment into a push. More...

`#include <iterator.h>`

## Public Types

typedef TContainer | container_type
Public Types inherited from etl::iterator< ETL_OR_STD::output_iterator_tag, void, void, void, void >
typedef void | value_type
typedef void | difference_type
typedef void | pointer
typedef void | reference
typedef ETL_OR_STD::output_iterator_tag | iterator_category

## Public Member Functions

ETL_CONSTEXPR14 | push_insert_iterator (TContainer &c)
| Constructor.
ETL_CONSTEXPR14 push_insert_iterator & | operator= (const typename TContainer::value_type &value)
| Assignment operator.
ETL_NODISCARD ETL_CONSTEXPR14 push_insert_iterator & | operator* ()
| Dereference operator.
ETL_CONSTEXPR14 push_insert_iterator & | operator++ ()
| Pre-increment operator.
ETL_CONSTEXPR14 push_insert_iterator | operator++ (int)
| Post-increment operator.

## Protected Attributes

TContainer * | container

## Detailed Description

template<typename TContainer>
class etl::push_insert_iterator< TContainer >

Turns assignment into a push.

The documentation for this class was generated from the following file:

- include/etl/iterator.h